******************************************************************************************************************************************************************************
******************************************************************************************************************************************************************************
******************************************************************************************************************************************************************************
***                                                                                                                                              						   ***
***                                                                                                                                              						   ***
***                                                                                                       																   ***
*** Article: 		Labor Market Effects of Spatial Licensing Requirements: Evidence from CPA Mobility    																   ***
*** Authors: 		Stefano Cascino, Ane Tamayo, and Felix Vetter                                         																   ***
*** Journal:		Journal of Accounting Research                                                        																   ***
***                                                                                                    	  																   ***
*** Description:	This Stata code performs the main empirical analyses presented in the paper.          																   ***
***                                                                                                       																   ***
***                                                                                                       																   ***
***                                                                                                       																   ***
******************************************************************************************************************************************************************************
******************************************************************************************************************************************************************************
******************************************************************************************************************************************************************************

******************************************************************************************************************************************************************************
* 0. CD to folder

cd "/CPAMobility/"

******************************************************************************************************************************************************************************
* 1. Preparation controls used in multiple analyses

do "./Dofiles/01_CPAMob_ControlsPrep.do"

******************************************************************************************************************************************************************************
* 2. Law prediction

do "./Dofiles/02_CPAMob_AdoptionPrediction.do" 

******************************************************************************************************************************************************************************
* 3. QCEW state-level

do "./Dofiles/03_CPAMob_QCEW_State.do"

******************************************************************************************************************************************************************************
* 4. SUSB state-level

do "./Dofiles/04_CPAMob_SUSB_State.do"

******************************************************************************************************************************************************************************
* 5. QCEW county-level 

do "./Dofiles/05_CPAMob_QCEW_BorderCounty.do"

******************************************************************************************************************************************************************************
* 6. QCEW MSA-level

do "./Dofiles/06_CPAMob_QCEW_MSA.do"

******************************************************************************************************************************************************************************
* 7. AICPA MAP Survey

do "./Dofiles/07_CPAMob_AICPAMap.do"

******************************************************************************************************************************************************************************
* 8. Pension plan fees 

do "./Dofiles/08_CPAMob_PensionPlanFees.do"

******************************************************************************************************************************************************************************
* 9. AICPA Misconduct

do "./Dofiles/09_CPAMob_Qual1_AICPAMisconduct.do"

******************************************************************************************************************************************************************************
* 10. EBSA enforcement 

do "./Dofiles/10_CPAMob_Qual2_EBSA.do"

******************************************************************************************************************************************************************************
* 11. Disciplinary actions

do "./Dofiles/11_CPAMob_Qual3_CODiscAction.do"